/// Convenience class for the Mongolian Unicode values used in this package.
class Unicode {
  static const int WJ =
      0x2060; // Word joiner (replaces deprecated Zero-width no-break space)
  //static const int ZWS = 0x200B; // Zero-width space
  static const int ZWNJ = 0x200C; // Zero-width non joiner
  static const int ZWJ = 0x200D; // Zero-width joiner
  static const int NNBS = 0x202F; // Narrow No-Break Space

  // vertical presentation forms
  static const int VERTICAL_COMMA = 0xFE10;
  static const int VERTICAL_IDEOGRAPHIC_COMMA = 0xFE11;
  static const int VERTICAL_IDEOGRAPHIC_FULL_STOP = 0xFE12;
  static const int VERTICAL_COLON = 0xFE13;
  static const int VERTICAL_SEMICOLON = 0xFE14;
  static const int VERTICAL_EXCLAMATION_MARK = 0xFE15;
  static const int VERTICAL_QUESTION_MARK = 0xFE16;
  static const int VERTICAL_LEFT_WHITE_LENTICULAR_BRACKET = 0xFE17;
  static const int VERTICAL_RIGHT_WHITE_LENTICULAR_BRAKCET = 0xFE18;
  static const int VERTICAL_HORIZONTAL_ELLIPSIS = 0xFE19;
  static const int VERTICAL_TWO_DOT_LEADER = 0xFE30;
  static const int VERTICAL_EM_DASH = 0xFE31;
  static const int VERTICAL_EN_DASH = 0xFE32;
  static const int VERTICAL_LOW_LINE = 0xFE33;
  static const int VERTICAL_WAVY_LOW_LINE = 0xFE34;
  static const int VERTICAL_LEFT_PARENTHESIS = 0xFE35;
  static const int VERTICAL_RIGHT_PARENTHESIS = 0xFE36;
  static const int VERTICAL_LEFT_CURLY_BRACKET = 0xFE37;
  static const int VERTICAL_RIGHT_CURLY_BRACKET = 0xFE38;
  static const int VERTICAL_LEFT_TORTOISE_SHELL_BRACKET = 0xFE39;
  static const int VERTICAL_RIGHT_TORTOISE_SHELL_BRACKET = 0xFE3A;
  static const int VERTICAL_LEFT_BLACK_LENTICULAR_BRACKET = 0xFE3B;
  static const int VERTICAL_RIGHT_BLACK_LENTICULAR_BRACKET = 0xFE3C;
  static const int VERTICAL_LEFT_DOUBLE_ANGLE_BRACKET = 0xFE3D;
  static const int VERTICAL_RIGHT_DOUBLE_ANGLE_BRACKET = 0xFE3E;
  static const int VERTICAL_LEFT_ANGLE_BRACKET = 0xFE3F;
  static const int VERTICAL_RIGHT_ANGLE_BRACKET = 0xFE40;
  static const int VERTICAL_LEFT_CORNER_BRACKET = 0xFE41;
  static const int VERTICAL_RIGHT_CORNER_BRACKET = 0xFE42;
  static const int VERTICAL_LEFT_WHITE_CORNER_BRACKET = 0xFE43;
  static const int VERTICAL_RIGHT_WHITE_CORNER_BRACKET = 0xFE44;
  static const int VERTICAL_LEFT_SQUARE_BRACKET = 0xFE47;
  static const int VERTICAL_RIGHT_SQUARE_BRACKET = 0xFE48;

  // Other
  static const int MIDDLE_DOT = 0x00B7;
  static const int REFERENCE_MARK = 0x203B;
  static const int DOUBLE_EXCLAMATION_MARK = 0x203C;
  static const int DOUBLE_QUESTION_MARK = 0x2047;
  static const int QUESTION_EXCLAMATION_MARK = 0x2048;
  static const int EXCLAMATION_QUESTION_MARK = 0x2049;
  static const int PUNCTUATION_X = 0x00D7; // TODO is this right?

  // Unicode Mongolian Values
  static const int MONGOLIAN_BIRGA = 0x1800;
  static const int MONGOLIAN_ELLIPSIS = 0x1801;
  static const int MONGOLIAN_COMMA = 0x1802;
  static const int MONGOLIAN_FULL_STOP = 0x1803;
  static const int MONGOLIAN_COLON = 0x1804;
  static const int MONGOLIAN_FOUR_DOTS = 0x1805;
  static const int MONGOLIAN_TODO_SOFT_HYPHEN = 0x1806;
  static const int MONGOLIAN_SIBE_SYLLABLE_BOUNDARY_MARKER = 0x1807;
  static const int MONGOLIAN_MANCHU_COMMA = 0x1808;
  static const int MONGOLIAN_MANCHU_FULL_STOP = 0x1809;
  static const int MONGOLIAN_NIRUGU = 0x180a;
  static const int FVS1 = 0x180b;
  static const int FVS2 = 0x180c;
  static const int FVS3 = 0x180d;
  static const int MVS = 0x180e; // MONGOLIAN_VOWEL_SEPARATOR
  static const int MONGOLIAN_DIGIT_ZERO = 0x1810;
  static const int MONGOLIAN_DIGIT_ONE = 0x1811;
  static const int MONGOLIAN_DIGIT_TWO = 0x1812;
  static const int MONGOLIAN_DIGIT_THREE = 0x1813;
  static const int MONGOLIAN_DIGIT_FOUR = 0x1814;
  static const int MONGOLIAN_DIGIT_FIVE = 0x1815;
  static const int MONGOLIAN_DIGIT_SIX = 0x1816;
  static const int MONGOLIAN_DIGIT_SEVEN = 0x1817;
  static const int MONGOLIAN_DIGIT_EIGHT = 0x1818;
  static const int MONGOLIAN_DIGIT_NINE = 0x1819;
  static const int A = 0x1820; // MONGOLIAN_LETTER_xx
  static const int E = 0x1821;
  static const int I = 0x1822;
  static const int O = 0x1823;
  static const int U = 0x1824;
  static const int OE = 0x1825;
  static const int UE = 0x1826;
  static const int EE = 0x1827;
  static const int NA = 0x1828;
  static const int ANG = 0x1829;
  static const int BA = 0x182A;
  static const int PA = 0x182B;
  static const int QA = 0x182C;
  static const int GA = 0x182D;
  static const int MA = 0x182E;
  static const int LA = 0x182F;
  static const int SA = 0x1830;
  static const int SHA = 0x1831;
  static const int TA = 0x1832;
  static const int DA = 0x1833;
  static const int CHA = 0x1834;
  static const int JA = 0x1835;
  static const int YA = 0x1836;
  static const int RA = 0x1837;
  static const int WA = 0x1838;
  static const int FA = 0x1839;
  static const int KA = 0x183A;
  static const int KHA = 0x183B;
  static const int TSA = 0x183C;
  static const int ZA = 0x183D;
  static const int HAA = 0x183E;
  static const int ZRA = 0x183F;
  static const int LHA = 0x1840;
  static const int ZHI = 0x1841;
  static const int CHI = 0x1842;

  // Unicode TodoScript Mongolian Values
  static const int TODO_LONG_VOWEL_SIGN = 0x1843;
  static const int TODO_E = 0x1844;
  static const int TODO_I = 0x1845;
  static const int TODO_O = 0x1846;
  static const int TODO_U = 0x1847;
  static const int TODO_OE = 0x1848;
  static const int TODO_UE = 0x1849;
  static const int TODO_ANG = 0x184A;
  static const int TODO_BA = 0x184B;
  static const int TODO_PA = 0x184C;
  static const int TODO_QA = 0x184D;
  static const int TODO_GA = 0x184E;
  static const int TODO_MA = 0x184F;
  static const int TODO_TA = 0x1850;
  static const int TODO_DA = 0x1851;
  static const int TODO_CHA = 0x1852;
  static const int TODO_JA = 0x1853;
  static const int TODO_TSA = 0x1854;
  static const int TODO_YA = 0x1855;
  static const int TODO_WA = 0x1856;
  static const int TODO_KA = 0x1857;
  static const int TODO_GAA = 0x1858;
  static const int TODO_HAA = 0x1859;
  static const int TODO_JIA = 0x185A;
  static const int TODO_NIA = 0x185B;
  static const int TODO_DZA = 0x185C;
}
